---
search:
  tags:
    - agent-sessions
    - GET
seo:
  description: >-
    List agent spend caps. Reference for the GET
    /workspaces/{organizationId}/agent/spend-caps endpoint in the Pile API.
sidebar:
  label: List agent spend caps
  badge: GET
title: List agent spend caps
type: openapi-operation
---
`GET /workspaces/{organizationId}/agent/spend-caps`

**Responses**

- `200` — Spend/token caps for the workspace — agentId "\*" is the workspace default

Response example, 200:

```json
{
  "caps": [
    {
      "id": "string",
      "organizationId": "string",
      "agentId": "string",
      "maxRunsPerDay": 0,
      "maxRunsPerMonth": 0,
      "maxTokensPerDay": 0,
      "maxTokensPerMonth": 0,
      "maxCostMicrosPerDay": 0,
      "maxCostMicrosPerMonth": 0,
      "maxTokensPerRun": 0,
      "maxCostMicrosPerRun": 0,
      "lastCapAlertAt": "string",
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
